Merchant QR (Static)

Instantly Generate the Virtual Account through AeronPay API and Collect the Funds from your Customers

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request:

{
  "type": "staticqr",
  "client_referenceId": "{{Client Reference ID}}",
  "name": "{{Merchant Name or Business Name}}",
  "dob": "17/10/1998",
  "date_of_incorporation": "01/04/2022",
  "email": "{{Customer Email ID}}",
  "phone": "{Customer Mobile}}",
  "address": "Bandra Kurla Complex, Mumbai",
  "city": "Mumbai",
  "state": "Maharashtra",
  "stateCode": "12",
  "pincode": "400001",
  "pan_number": "EXCGR2848X",
  "seller_identifier": "avantikastores",
  "mcc_code": "{{MCC Code}}",
  "gst_number": "29EXCGR2848X2ZR",
  "settlement_account_no": "28490918847289",
  "settlement_ifsc": "HDFC0000CARD",
}

Sample Response:

{
  "status":"SUCCESS",
  "statusCode":"200",
  "message":"Static QR or VPA Generated Successfully",
  "receivers":{
    "customer_id": "33324562",
    "vpa_id":"apay.xxxx@hdfcbank",
    "vpa_handle":"HDFC Bank", 
    "static_qr":"upi://pay?mc=5411&pa=partner.merchantname@samplebank&pn=Avantika Stores",
    "vpa_status":"active",
    "acknowledged":"1"
  }
}

🇮🇳 Indian States & Union Territories with Codes

State / UTCode
Andaman and Nicobar Islands35
Andhra Pradesh28
Arunachal Pradesh12
Assam18
Bihar10
Chandigarh04
Chhattisgarh22
Dadra and Nagar Haveli and Daman and Diu26
Delhi07
Goa30
Gujarat24
Haryana06
Himachal Pradesh02
Jammu and Kashmir01
Jharkhand20
Karnataka29
Kerala32
Ladakh38
Lakshadweep31
Madhya Pradesh23
Maharashtra27
Manipur14
Meghalaya17
Mizoram15
Nagaland13
Odisha21
Puducherry34
Punjab03
Rajasthan08
Sikkim11
Tamil Nadu33
Telangana36
Tripura16
Uttar Pradesh09
Uttarakhand05
West Bengal19

🏷️ Active Merchant Category Codes (MCC)

These are the currently active MCC (Merchant Category Codes) used to identify different types of merchants.

MCC CodeDescription
1711A/C, Heating, Plumbing Contractors
4722Travel Agencies
5045Computers & Software
5046Commercial Equipment
5094Jewelry, Watches
5411Grocery Stores / Supermarkets
5611Men’s & Boys’ Clothing Stores
5621Women’s Ready to Wear
5631Women’s Accessories
5651Family Clothing Stores
5661Shoe Stores
5732Electronics Sales
5734Computer Software Stores
5812Restaurants / Dining
5814Fast-Food Restaurants
5912Pharmacies / Medical
7011Hotels / Lodging
8062Hospitals
8099Health Practitioners
8211Elementary and Secondary Schools
Body Params
string
required
Defaults to staticqr

Pass "staticqr" in the type parameter

string
required

Unique Reference ID

string
required

Merchant Busines Name

string
required

Date of Birth (Owner)

string
required

Date of Business (Registration)

string
required

Merchant Email ID

string
required

Merchant Mobile Number

string
required

Merchant Office / Shop Address

string
required

Merchant City Name

string
required

Merchant State

string
required

State Code (Check the State Code List - Page)

string
required

Merchant Location PinCode

string
required

Merchant PAN Card Number (In Case of Pvt Ltd Company, then Use Company PAN)

string
required

Sub VPA ID (Custom)

string

GST Number of the Firm / Company (Optional)

string
required

Settlement Bank Account Number of Merchant

string
required

Settlement Bank IFSC Code of Merchant

string
required

Merchant Category Code depends on the Line of Business

Headers
string
required

Unique Client ID

string
required

Unique Client Secret

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json